MAILDIRKW(1)

NAME
maildirkw - set maildir message keywords

SYNOPSIS

maildirkw [ -c ] [ -l ] [ -a ] [ -r ] maildir message [ keyword ... ]

maildirkw [ -c ] -L maildir

DESCRIPTION

maildirkw modifies Courier-IMAP compatible maildir message keywords. This command allows an easy way to set or clear custom IMAP keywords associated with a particular message. maildir is the pathname to a maildir, or a maildir folder. The -L option lists all messages in the maildir, and their associated keywords. message specified which message's keywords should be set. One or more keywords specifies a list of keywords to be set for this message. The specified list of keywords replaces any keywords presently set for the message, unless the -a or the -r option is specified.

The -a option adds the keyword to existing keywords that are set for message. The -r removes keywords from message, leaving any remaining keywords set in place.

The -l should be used if Courier-IMAP's configuration file has the IMAP_USELOCKS option set. -l enables a compatible locking mechanism to update the message's keywords.

-c enables case-sensitive keywords. IMAP keywords are normally case insensitive. -c needs to be used if the SMAP1 protocol extension is used, which uses case sensitive keywords.

SEE ALSO

maildiracl(1), maildirmake(1).